### Callable

- rename(oldPath: PathLike, newPath: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:149

  Asynchronous rename(2) - Change the name or location of a file or directory.

  #### Parameters

  - ##### oldPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### newPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(oldPath: PathLike, newPath: PathLike): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:160

  Asynchronous rename(2) - Change the name or location of a file or directory.

  #### Parameters

  - ##### oldPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### newPath: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  #### Returns Promise<void>

Generated using TypeDoc